










init -1 style default:
    properties gui.text_properties()
    language gui.language

init -1 style input:
    properties gui.text_properties("input", accent=True)
    adjust_spacing False

init -1 style hyperlink_text:
    properties gui.text_properties("hyperlink", accent=True)
    hover_underline True

init -1 style gui_text:
    properties gui.text_properties("interface")


init -1 style button:
    properties gui.button_properties("button")

init -1 style button_text is gui_text:
    properties gui.text_properties("button")
    yalign 0.5


init -1 style label_text is gui_text:
    properties gui.text_properties("label", accent=True)

init -1 style prompt_text is gui_text:
    properties gui.text_properties("prompt")


init -1 style bar:
    ysize gui.bar_size
    left_bar Frame("gui/bar/left.png", gui.bar_borders, tile=gui.bar_tile)
    right_bar Frame("gui/bar/right.png", gui.bar_borders, tile=gui.bar_tile)

init -1 style vbar:
    xsize gui.bar_size
    top_bar Frame("gui/bar/top.png", gui.vbar_borders, tile=gui.bar_tile)
    bottom_bar Frame("gui/bar/bottom.png", gui.vbar_borders, tile=gui.bar_tile)

init -1 style scrollbar:
    ysize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)

init -1 style vscrollbar:
    xsize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)

init -1 style slider:
    ysize gui.slider_size
    base_bar Frame("gui/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
    thumb "gui/slider/horizontal_[prefix_]thumb.png"

init -1 style vslider:
    xsize gui.slider_size
    base_bar Frame("gui/slider/vertical_[prefix_]bar.png", gui.vslider_borders, tile=gui.slider_tile)
    thumb "gui/slider/vertical_[prefix_]thumb.png"


init -1 style frame:
    padding gui.frame_borders.padding
    background Frame("gui/frame.png", gui.frame_borders, tile=gui.frame_tile)








init -501 screen character_buttons():
    if gui.character_buttons and not _in_replay:
        imagebutton:
            auto "gui/button/button_statistics_%s.png" action Show("statistics")
            xalign 1.0
            yoffset 15
            xoffset -25

init -1 python:
    config.overlay_screens.append("character_buttons")


init -501 screen statistics():
    tag menu
    style_prefix "statistics"

    zorder 100


    modal True

    python:
        r_trust = r_attr.get_trust()
        r_corruption = r_attr.get_corruption()

        b_trust = b_attr.get_trust()
        b_corruption = b_attr.get_corruption()

        l_trust = l_attr.get_trust()
        l_corruption = l_attr.get_corruption()

        m_trust = m_attr.get_trust()
        m_corruption = m_attr.get_corruption()

        try: r_relationship
        except NameError: r_relationship = False

        try: r_pregnancy
        except NameError: r_pregnancy = False

        try: b_relationship
        except NameError: b_relationship = False

        try: b_pregnancy
        except NameError: b_pregnancy = False

        try: b_relationship_soft
        except NameError: b_relationship_soft = False

        try: l_relationship
        except NameError: l_relationship = False

        try: l_pregnancy
        except NameError: l_pregnancy = False

        try: m_relationship
        except NameError: m_relationship = False

        try: m_pregnancy
        except NameError: m_pregnancy = False

        try: m_relationship_soft
        except NameError: m_relationship_soft = False

        r_relationship_label = __('Yes') if r_relationship else __('No')
        if b_relationship:
            b_relationship_label = __('Yes (Dominant)')
        elif b_relationship_soft:
            b_relationship_label = __('Yes (Love)')
        else:
            b_relationship_label = __('No')
        l_relationship_label = __('Yes') if l_relationship else __('No')

        if m_relationship and m_relationship_soft:
            m_relationship_label = __('Yes (Discreet & Love)')
        elif m_relationship:
            m_relationship_label = __('Yes (Discreet)')
        elif m_relationship_soft:
            m_relationship_label = __('Yes (Love)')
        else:
            m_relationship_label = __('No')

        r_pregnancy_label = __('Yes') if r_pregnancy else __('No')
        b_pregnancy_label = __('Yes') if b_pregnancy else __('No')
        l_pregnancy_label = __('Yes') if l_pregnancy else __('No')
        m_pregnancy_label = __('Yes') if m_pregnancy else __('No')

    frame:
        style_prefix "statistics"

        xfill True
        yfill True
        background gui.hover_color

        has vbox
        textbutton _("[[x] Close"):
            xalign 1.0
            action Hide('statistics')

        frame:
            xfill True
            yfill True
            background None

            has grid 2 2
            hbox:
                spacing 15

                add "gui/avatar_rachel.png" zoom 0.8
                vbox:
                    hbox:
                        spacing 15

                        text _("{b}{size=+5}[r_name]")
                        textbutton _("Edit"):
                            text_size 25
                            background "#cc0066"
                            hover_background "#EFC6E1"
                            action Show("custom_input_modal", label_text="Rename girl", variable_name="r_name")
                    text _("Trust: {b}[r_trust]")
                    text _("Corruption: {b}[r_corruption]")
                    text _("Relationship: {b}[r_relationship_label]")
                    text _("Pregnant: {b}[r_pregnancy_label]")
            hbox:
                spacing 15
                add "gui/avatar_bella.png" zoom 0.8
                vbox:
                    hbox:
                        spacing 15

                        text _("{b}{size=+5}[b_name]")
                        textbutton _("Edit"):
                            text_size 25
                            background "#cc0066"
                            hover_background "#EFC6E1"
                            action Show("custom_input_modal", label_text="Rename girl", variable_name="b_name")
                    text _("Trust: {b}[b_trust]")
                    text _("Corruption: {b}[b_corruption]")
                    text _("Relationship: {b}[b_relationship_label]")
                    text _("Pregnant: {b}[b_pregnancy_label]")
            hbox:
                spacing 15
                add "gui/avatar_liza.png" zoom 0.8
                vbox:
                    hbox:
                        spacing 15

                        text _("{b}{size=+5}[l_name]")
                        textbutton _("Edit"):
                            text_size 25
                            background "#cc0066"
                            hover_background "#EFC6E1"
                            action Show("custom_input_modal", label_text="Rename girl", variable_name="l_name")
                    text _("Trust: {b}[l_trust]")
                    text _("Corruption: {b}[l_corruption]")
                    text _("Relationship: {b}[l_relationship_label]")
                    text _("Pregnant: {b}[l_pregnancy_label]")
            hbox:
                spacing 15
                add "gui/avatar_mrs_smith.png" zoom 0.8
                vbox:
                    hbox:
                        spacing 15

                        text _("{b}{size=+5}[m_name]")
                        textbutton _("Edit"):
                            text_size 25
                            background "#cc0066"
                            hover_background "#EFC6E1"
                            action Show("custom_input_modal", label_text="Rename girl", variable_name="m_name")
                    text _("Trust: {b}[m_trust]")
                    text _("Corruption: {b}[m_corruption]")
                    text _("Relationship: {b}[m_relationship_label]")
                    text _("Pregnant: {b}[m_pregnancy_label]")

init -1 style statistics_button_text:
    size 30
    hover_color gui.accent_color

init -1 style statistics_grid:
    spacing 60
    xalign 0.5
    yalign 0.5

init -1 style statistics_text:
    size 40














init -501 screen say(who, what):
    style_prefix "say"

    window:
        id "window"

        if who is not None:

            window:
                style "namebox"
                text who id "who"

        text what id "what"



    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0


init -1 style window is default
init -1 style say_label is default
init -1 style say_dialogue is default
init -1 style say_thought is say_dialogue

init -1 style namebox is default
init -1 style namebox_label is say_label

init -1 style window:
    xfill True
    yalign gui.textbox_yalign
    ysize gui.textbox_height

    background Image("gui/textbox.png", xalign=0, yalign=1.0)

init -1 style namebox:
    xpos gui.name_xpos
    xanchor gui.name_xalign
    xsize gui.namebox_width
    ypos gui.name_ypos
    ysize gui.namebox_height


    padding gui.namebox_borders.padding

init -1 style say_label:
    properties gui.text_properties("name", accent=True)
    xalign gui.name_xalign
    yalign 0.5

    outlines [ (absolute(2), (0, 0, 0), absolute(1), absolute(1)) ]
    kerning 1

init -1 style say_dialogue:
    properties gui.text_properties("dialogue")

    xpos gui.dialogue_xpos
    xsize gui.dialogue_width
    ypos gui.dialogue_ypos

    outlines [ (absolute(2), (0, 0, 0), absolute(1), absolute(1)) ]
    kerning 1











init -501 screen input(prompt):
    style_prefix "input"

    window:

        has vbox:
            xalign gui.dialogue_text_xalign
            xpos gui.dialogue_xpos
            xsize gui.dialogue_width
            ypos gui.dialogue_ypos

        text prompt style "input_prompt"
        input id "input"

init -1 style input_prompt is default

init -1 style input_prompt:
    xalign gui.dialogue_text_xalign
    properties gui.text_properties("input_prompt")

    outlines [ (absolute(2), (0, 0, 0), absolute(1), absolute(1)) ]
    kerning 1


init -1 style input:
    xalign gui.dialogue_text_xalign
    xmaximum gui.dialogue_width

    outlines [ (absolute(2), (0, 0, 0), absolute(1), absolute(1)) ]
    kerning 2









init -501 screen choice(items):
    style_prefix "choice"

    if len(items) > 4:
        vpgrid:
            cols 2

            for i in items:
                textbutton i.caption action i.action
    else:
        vbox:
            for i in items:
                textbutton i.caption action i.action




define -1 config.narrator_menu = True


init -1 style choice_vbox is vbox
init -1 style choice_button is button
init -1 style choice_button_text is button_text

init -1 style choice_vbox:
    xalign 0.5
    yalign 0.95
    yanchor 1.0

    spacing gui.choice_spacing

init -1 style choice_vpgrid:
    spacing 25
    xmaximum 1900

    xalign 0.5
    yalign 0.8

init -1 style choice_button is default:
    properties gui.button_properties("choice_button")

    background Frame("gui/button/choice_idle_background.png", 20, 0)
    hover_background Frame("gui/button/choice_hover_background.png", 20, 0)
    focus_mask Frame("gui/button/choice_idle_background.png", 20, 0)

init -1 style choice_button_text is default:
    properties gui.button_text_properties("choice_button")






init -501 screen quick_menu():


    zorder 100

    if quick_menu:

        hbox:
            style_prefix "quick"

            xalign 0.5
            yalign 1.0

            textbutton _("Back") action Rollback()
            textbutton _("History") action ShowMenu('history')
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("Auto") action Preference("auto-forward", "toggle")
            textbutton _("Save") action ShowMenu('save')
            textbutton _("Q.Save") action QuickSave()
            textbutton _("Q.Load") action QuickLoad()
            textbutton _("Prefs") action ShowMenu('preferences')




init -1 python:
    config.overlay_screens.append("quick_menu")

default -1 quick_menu = True

init -1 style quick_button is default
init -1 style quick_button_text is button_text

init -1 style quick_button:
    properties gui.button_properties("quick_button")

init -1 style quick_button_text:
    properties gui.button_text_properties("quick_button")











init -501 screen navigation():

    vbox:
        style_prefix "navigation"

        xpos gui.navigation_xpos
        yalign 0.5

        spacing gui.navigation_spacing

        if main_menu:

            textbutton _("Start") action Start()

        else:

            textbutton _("History") action ShowMenu("history")

            textbutton _("Save") action ShowMenu("save")

        textbutton _("Load") action ShowMenu("load")

        textbutton _("Preferences") action ShowMenu("preferences")

        if _in_replay:

            textbutton _("End Replay") action EndReplay(confirm=True)

        elif not main_menu:

            textbutton _("Main Menu") action MainMenu()

        if is_patreon() and not _in_replay:
            textbutton "Extra Scenes" action ShowMenu("scenes")




        textbutton _("Credits") action ShowMenu("about")

        if renpy.variant("pc"):


            textbutton _("Help") action ShowMenu("help")


            textbutton _("Quit") action Quit(confirm=not main_menu)


init -1 style navigation_button is gui_button
init -1 style navigation_button_text is gui_button_text

init -1 style navigation_button:
    size_group "navigation"
    properties gui.button_properties("navigation_button")

init -1 style navigation_button_text:
    properties gui.button_text_properties("navigation_button")







init -501 screen main_menu():
    tag menu


    style_prefix "main_menu"

    add gui.main_menu_background


    frame




    use navigation

    vbox xpos gui.badge_position_x ypos gui.badge_position_y:
        if game.is_special:
            if is_patreon():
                add "gui/badge_special_extra.png"
            else:
                add "gui/badge_special.png"
        else:
            if is_patreon():
                add "gui/badge_standard_extra.png"
            else:
                add "gui/badge_standard.png"




    if gui.show_name:

        vbox:
            text "[config.name!t]":
                style "main_menu_title"

            text "[config.version]":
                style "main_menu_version"


init -1 style main_menu_frame is empty
init -1 style main_menu_vbox is vbox
init -1 style main_menu_text is gui_text
init -1 style main_menu_title is main_menu_text
init -1 style main_menu_version is main_menu_text

init -1 style main_menu_frame:
    xsize 420
    yfill True

    background "gui/overlay/main_menu.png"

init -1 style main_menu_vbox:
    xalign 1.0
    xoffset -30
    xmaximum 1200
    yalign 1.0
    yoffset -30

init -1 style main_menu_text:
    properties gui.text_properties("main_menu", accent=True)

init -1 style main_menu_title:
    properties gui.text_properties("title")

init -1 style main_menu_version:
    properties gui.text_properties("version")











init -501 screen game_menu(title, scroll=None):

    style_prefix "game_menu"

    if main_menu:
        add gui.main_menu_background
    else:
        add gui.game_menu_background

    frame:
        style "game_menu_outer_frame"

        has hbox

        frame:
            style "game_menu_navigation_frame"

        frame:
            style "game_menu_content_frame"

            if scroll == "viewport":

                viewport:
                    scrollbars "vertical"
                    mousewheel True
                    draggable True

                    side_yfill True

                    has vbox
                    transclude

            elif scroll == "vpgrid":

                vpgrid:
                    cols 1
                    yinitial 1.0

                    scrollbars "vertical"
                    mousewheel True
                    draggable True

                    side_yfill True

                    transclude

            else:

                transclude

    use navigation

    textbutton _("Return"):
        style "return_button"

        action Return()

    label title

    if main_menu:
        key "game_menu" action ShowMenu("main_menu")


init -1 style game_menu_outer_frame is empty
init -1 style game_menu_navigation_frame is empty
init -1 style game_menu_content_frame is empty
init -1 style game_menu_viewport is gui_viewport
init -1 style game_menu_side is gui_side
init -1 style game_menu_scrollbar is gui_vscrollbar

init -1 style game_menu_label is gui_label
init -1 style game_menu_label_text is gui_label_text

init -1 style return_button is navigation_button
init -1 style return_button_text is navigation_button_text

init -1 style game_menu_outer_frame:
    bottom_padding 45
    top_padding 180

    background "gui/overlay/game_menu.png"

init -1 style game_menu_navigation_frame:
    xsize 420
    yfill True

init -1 style game_menu_content_frame:
    left_margin 60
    right_margin 30
    top_margin 16

init -1 style game_menu_viewport:
    xsize 1380

init -1 style game_menu_vscrollbar:
    unscrollable gui.unscrollable

init -1 style game_menu_side:
    spacing 15

init -1 style game_menu_label:
    xpos 75
    ysize 180

init -1 style game_menu_label_text:
    size gui.title_text_size
    color gui.accent_color
    yalign 0.5

init -1 style return_button:
    xpos gui.navigation_xpos
    yalign 1.0
    yoffset -30









init -501 screen about():
    tag menu





    use game_menu(_("Credits"), scroll="viewport"):
        style_prefix "about"

        vbox:

            label "{size=-5}[config.name!t]{/size}"
            text _("{size=-5}Version [config.version!t]\n{/size}")


            if gui.about:
                text "[gui.about!t]\n\n\n\n\n"

            text _("{size=-8}Made with {a=https://www.renpy.org/}Ren'Py{/a} [renpy.version_only].\n\n[renpy.license!t]{/size}")



define -1 gui.about = ""

init -1 style about_label is gui_label
init -1 style about_label_text is gui_label_text
init -1 style about_text is gui_text

init -1 style about_label_text:
    size gui.label_text_size











init -501 screen save():
    tag menu


    use file_slots(_("Save"))


init -501 screen load():
    tag menu


    use file_slots(_("Load"))


init -501 screen file_slots(title):

    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))

    use game_menu(title):

        fixed:



            order_reverse True


            button:
                style "page_label"

                key_events True
                xalign 0.5
                action page_name_value.Toggle()

                input:
                    style "page_label_text"
                    value page_name_value


            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"

                xalign 0.5
                yalign 0.5

                spacing gui.slot_spacing

                for i in range(gui.file_slot_cols * gui.file_slot_rows):

                    $ slot = i + 1

                    button:

                        action If(renpy.get_screen("save"), true=Show("save_name_modal", accept=FileSave(slot)), false=FileLoad(slot))

                        has vbox

                        add FileScreenshot(slot) xalign 0.5

                        text FileSaveName(slot):
                            style "slot_name_text"

                        hbox:
                            xsize 375

                            text FileTime(slot, format=_("{#file_time}%A, %B %d %Y, %H:%M"), empty=_("empty slot")):
                                style "slot_time_text"

                            key "save_delete" action FileDelete(slot)

                            if FileLoadable(slot):
                                imagebutton:
                                    idle "gui/button/button_delete_idle.png"
                                    hover "gui/button/button_delete_hover.png"

                                    action FileDelete(slot)

                                    xalign 1.0


            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0

                spacing gui.page_spacing

                textbutton _("<") action FilePagePrevious()

                if config.has_autosave:
                    textbutton _("{#auto_page}A") action FilePage("auto")

                if config.has_quicksave:
                    textbutton _("{#quick_page}Q") action FilePage("quick")


                for page in range(1, 10):
                    textbutton "[page]" action FilePage(page)

                textbutton _(">") action FilePageNext()


init -1 style page_label is gui_label
init -1 style page_label_text is gui_label_text
init -1 style page_button is gui_button
init -1 style page_button_text is gui_button_text

init -1 style slot_button is gui_button
init -1 style slot_button_text is gui_button_text
init -1 style slot_time_text is slot_button_text
init -1 style slot_name_text is slot_button_text

init -1 style page_label:
    xpadding 75
    ypadding 5

init -1 style page_label_text:
    text_align 0.5
    layout "subtitle"
    hover_color gui.hover_color

init -1 style page_button:
    properties gui.button_properties("page_button")

init -1 style page_button_text:
    properties gui.button_text_properties("page_button")

init -1 style slot_button:
    properties gui.button_properties("slot_button")

init -1 style slot_button_text:
    properties gui.button_text_properties("slot_button")




init -501 screen save_name_modal(accept=NullAction()):
    modal True
    add Solid("#000000") alpha 0.8
    style_prefix "save_name_modal"

    frame:
        has vbox:
            xalign 0.5
            spacing 20

        label _("Please name your save:"):
            text_color gui.text_color
            xalign 0.5

        null height 10

        input size 40 color gui.hover_color default store.save_name changed set_save_name length 25 allow "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ 0123456789 -/*":
            yalign 1.0
            xalign 0.5
            xysize (550, 40)

        textbutton _("Save game"):
            xalign 0.5
            action [accept, Hide("save_name_modal")]

        key "game_menu" action Hide("save_name_modal")

init -1 style save_name_modal_frame:
    padding gui.confirm_frame_borders.padding
    xsize 650
    xalign 0.5
    yalign 0.5

init -1 style save_name_modal_frame:
    variant "touch"
    padding gui.confirm_frame_borders.padding
    xsize 650
    xalign 0.5
    yalign 0
    ypos 50

init -1 python:
    def set_save_name(new_name):
        store.save_name = new_name








init -501 screen preferences():
    tag menu


    if renpy.mobile:
        $ cols = 2
    else:
        $ cols = 4

    use game_menu(_("Preferences"), scroll="viewport"):

        vbox:

            hbox:
                box_wrap True

                if renpy.variant("pc"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))

                vbox:
                    style_prefix "check"
                    label _("Statistics")
                    textbutton _("Show") action gui.SetPreference("character_buttons", True)
                    textbutton _("Hide") action gui.SetPreference("character_buttons", False)

                vbox:
                    style_prefix "pref"
                    label _("Language")
                    textbutton "English" action Language(None)
                    textbutton "French" action Language("french")
                    textbutton "Italian" action Language("italian")
                    textbutton "Spanish" action Language("spanish")



            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    label _("Text Speed")

                    bar value Preference("text speed")

                    label _("Auto-Forward Time")

                    bar value Preference("auto-forward time")

                vbox:

                    if config.has_music:
                        label _("Music Volume")

                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")

                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")

                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"


init -1 style pref_label is gui_label
init -1 style pref_label_text is gui_label_text
init -1 style pref_vbox is vbox

init -1 style radio_label is pref_label
init -1 style radio_label_text is pref_label_text
init -1 style radio_button is gui_button
init -1 style radio_button_text is gui_button_text
init -1 style radio_vbox is pref_vbox

init -1 style check_label is pref_label
init -1 style check_label_text is pref_label_text
init -1 style check_button is gui_button
init -1 style check_button_text is gui_button_text
init -1 style check_vbox is pref_vbox

init -1 style slider_label is pref_label
init -1 style slider_label_text is pref_label_text
init -1 style slider_slider is gui_slider
init -1 style slider_button is gui_button
init -1 style slider_button_text is gui_button_text
init -1 style slider_pref_vbox is pref_vbox

init -1 style mute_all_button is check_button
init -1 style mute_all_button_text is check_button_text

init -1 style pref_label:
    top_margin gui.pref_spacing
    bottom_margin 3

init -1 style pref_label_text:
    yalign 1.0

init -1 style pref_vbox:
    xsize 338

init -1 style radio_vbox:
    spacing gui.pref_button_spacing

init -1 style radio_button:
    properties gui.button_properties("radio_button")
    foreground "gui/button/check_[prefix_]foreground.png"

init -1 style radio_button_text:
    properties gui.button_text_properties("radio_button")

init -1 style check_vbox:
    spacing gui.pref_button_spacing

init -1 style check_button:
    properties gui.button_properties("check_button")
    foreground "gui/button/check_[prefix_]foreground.png"

init -1 style check_button_text:
    properties gui.button_text_properties("check_button")

init -1 style slider_slider:
    xsize 525

init -1 style slider_button:
    properties gui.button_properties("slider_button")
    yalign 0.5
    left_margin 10

init -1 style slider_button_text:
    properties gui.button_text_properties("slider_button")

init -1 style slider_vbox:
    xsize 675









init -501 screen history():
    tag menu



    predict False

    use game_menu(_("History"), scroll=("vpgrid" if gui.history_height else "viewport")):

        style_prefix "history"

        for h in _history_list:

            window:


                has fixed:
                    yfit True

                if h.who:

                    label h.who:
                        style "history_name"



                        if "color" in h.who_args:
                            text_color h.who_args["color"]

                text h.what

        if not _history_list:
            label _("The dialogue history is empty.")


init -1 style history_window is empty

init -1 style history_name is gui_label
init -1 style history_name_text is gui_label_text
init -1 style history_text is gui_text

init -1 style history_text is gui_text

init -1 style history_label is gui_label
init -1 style history_label_text is gui_label_text

init -1 style history_window:
    xfill True
    ysize gui.history_height

init -1 style history_name:
    xpos gui.history_name_xpos
    xanchor gui.history_name_xalign
    ypos gui.history_name_ypos
    xsize gui.history_name_width

init -1 style history_name_text:
    min_width gui.history_name_width
    text_align gui.history_name_xalign

init -1 style history_text:
    xpos gui.history_text_xpos
    ypos gui.history_text_ypos
    xanchor gui.history_text_xalign
    xsize gui.history_text_width
    min_width gui.history_text_width
    text_align gui.history_text_xalign
    layout ("subtitle" if gui.history_text_xalign else "tex")

init -1 style history_label:
    xfill True

init -1 style history_label_text:
    xalign 0.5








init -501 screen help():
    tag menu


    default device = "keyboard"

    use game_menu(_("Help"), scroll="viewport"):

        style_prefix "help"

        vbox:
            spacing 23

            hbox:

                textbutton _("Keyboard") action SetScreenVariable("device", "keyboard")
                textbutton _("Mouse") action SetScreenVariable("device", "mouse")

                if GamepadExists():
                    textbutton _("Gamepad") action SetScreenVariable("device", "gamepad")

            if device == "keyboard":
                use keyboard_help
            elif device == "mouse":
                use mouse_help
            elif device == "gamepad":
                use gamepad_help


init -501 screen keyboard_help():

    hbox:
        label _("Enter")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Space")
        text _("Advances dialogue without selecting choices.")

    hbox:
        label _("Arrow Keys")
        text _("Navigate the interface.")

    hbox:
        label _("Escape")
        text _("Accesses the game menu.")

    hbox:
        label _("Ctrl")
        text _("Skips dialogue while held down.")

    hbox:
        label _("Tab")
        text _("Toggles dialogue skipping.")

    hbox:
        label _("Page Up")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Page Down")
        text _("Rolls forward to later dialogue.")

    hbox:
        label "H"
        text _("Hides the user interface.")

    hbox:
        label "S"
        text _("Takes a screenshot.")

    hbox:
        label "V"
        text _("Toggles assistive {a=https://www.renpy.org/l/voicing}self-voicing{/a}.")


init -501 screen mouse_help():

    hbox:
        label _("Left Click")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Middle Click")
        text _("Hides the user interface.")

    hbox:
        label _("Right Click")
        text _("Accesses the game menu.")

    hbox:
        label _("Mouse Wheel Up\nClick Rollback Side")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Mouse Wheel Down")
        text _("Rolls forward to later dialogue.")


init -501 screen gamepad_help():

    hbox:
        label _("Right Trigger\nA/Bottom Button")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Left Trigger\nLeft Shoulder")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Right Shoulder")
        text _("Rolls forward to later dialogue.")

    hbox:
        label _("D-Pad, Sticks")
        text _("Navigate the interface.")

    hbox:
        label _("Start, Guide")
        text _("Accesses the game menu.")

    hbox:
        label _("Y/Top Button")
        text _("Hides the user interface.")

    textbutton _("Calibrate") action GamepadCalibrate()


init -1 style help_button is gui_button
init -1 style help_button_text is gui_button_text
init -1 style help_label is gui_label
init -1 style help_label_text is gui_label_text
init -1 style help_text is gui_text

init -1 style help_button:
    properties gui.button_properties("help_button")
    xmargin 12

init -1 style help_button_text:
    properties gui.button_text_properties("help_button")

init -1 style help_label:
    xsize 375
    right_padding 30

init -1 style help_label_text:
    size gui.text_size
    xalign 1.0
    text_align 1.0




init -1 python:
    scene_gallery = [{
        'unlocked' : persistent.day01_r_masturbation,
        'label' : 'day01_r_masturbation',
        'image' : 'day01_r_bedroom_masturbate_a',
        'text' : "Rachel Masturbation"
    },
    {
        'unlocked' : persistent.day02_sade,
        'label' : 'day02_sade',
        'image' : 'day02_sade_1',
        'text' : "De Sade #1"
    },
    {
        'unlocked' : persistent.day03_ana_hj,
        'label' : 'day03_ana_hj',
        'image' : 'day03_j_a_a_happy',
        'text' : "Ana's handjob"
    },
    {
        'unlocked' : persistent.day04_ana_licking,
        'label' : 'day04_a_p_room_touching',
        'image' : 'day04_a_p_room',
        'text' : "Licking Ana"
    },
    {
        'unlocked' : persistent.day04_sade,
        'label' : 'day04_sade',
        'image' : 'day04_sade_1',
        'text' : "De Sade #2"
    },
    {
        'unlocked' : persistent.day04_ana_bj,
        'label' : 'day04_ana_bj',
        'image' : 'day04_a_a_boutique_naked_ass',
        'text' : "Ana's blowjob"
    },
    {
        'unlocked' : persistent.day05_alina_bj,
        'label' : 'day05_al_bj',
        'image' : 'day05_al_shower_unsure',
        'text' : "Alina's blowjob"
    },
    {
        'unlocked' : persistent.day06_maid,
        'label' : 'day06_maid',
        'image' : 'day06_twmm_01',
        'text' : "The Maid #1"
    },
    {
        'unlocked' : persistent.day08_ana_fucking,
        'label' : 'day08_ana_visit',
        'image' : 'day08_a_front_door',
        'text' : "Fucking Ana #1"
    },
    {
        'unlocked' : persistent.day09_maid,
        'label' : 'day09_maid',
        'image' : 'day09_twmm_01',
        'text' : "The Maid #2"
    },
    {
        'unlocked' : persistent.day10_discreet_session,
        'label' : 'day10_discreet_session',
        'image' : 'day10_discreet_door_m_smile',
        'text' : "Discreet Session #1"
    },
    {
        'unlocked' : persistent.day10_al_fucking,
        'label' : 'day10_al_fucking',
        'image' : 'day10_al_p_room_innocent',
        'text' : "Fucking Alina"
    },
    {
        'unlocked' : persistent.day11_r_hj,
        'label' : 'day11_r_hj',
        'image' : 'day11_r_bedroom_r_undress_doubt',
        'text' : "Rachel's handjob"
    },
    {
        'unlocked' : persistent.day12_m_fondle,
        'label' : 'day12_m_fondle',
        'image' : 'day12_m_room',
        'text' : "Fondling Mrs. Smith"
    },
    {
        'unlocked' : persistent.day12_ri_fuck,
        'label' : 'day12_ri_fuck',
        'image' : 'day12_ri_bedroom',
        'text' : "Fucking Riley"
    },
    {
        'unlocked' : persistent.day13_ana_fuck,
        'label' : 'day13_ana_fuck',
        'image' : 'day13_a_p_room',
        'text' : "Fucking Ana #2"
    },
    {
        'unlocked' : persistent.day13_l_masturbate,
        'label' : 'day13_l_masturbate',
        'image' : 'day13_l_room',
        'text' : "Liza masturbating"
    },
    {
        'unlocked' : persistent.day14_hazel_fuck,
        'label' : 'day14_hazel_fuck',
        'image' : 'day14_h_couch_touch_smile',
        'text' : "Fucking Hazel"
    },
    ]

init -501 screen gallery:
    tag menu


    style_prefix "scenes"

    use game_menu(_("Scene Gallery"), scroll="viewport"):

        vpgrid:
            xfill True
            cols 3
            spacing 25
            draggable True
            mousewheel True
            side_xalign 0.5

            for scene_object in scene_gallery:
                button:
                    if scene_object['unlocked']:
                        action Replay(scene_object['label'], {}, False)
                        frame:
                            add Frame(scene_object['image'], 0, 0)
                            text scene_object['text']
                    else:
                        frame:
                            add Frame("gui/locked.png", 0, 0)
                            text scene_object['text']




init -1 python:
    scene_list = [
        "extras/extra_01_m_bed.webp",
        "extras/extra_02_al_bed_leaving.webp",
        "extras/extra_03_b_bed.webp",
        "extras/extra_04_h.webp",
        "extras/extra_05_al.webp",
        "extras/extra_06_rb_door.webp",
        "extras/extra_07_ri.webp",
        "extras/extra_08_ad_m.webp",
        "extras/extra_09_r.webp",
        "extras/extra_10_b.webp",
        "extras/extra_11_l.webp",
        "extras/extra_12_me.webp",
        "extras/extra_13_i_garage.webp",
        "extras/extra_14_r_concert_room.webp",
        "extras/extra_15_ri_le.webp",
        "extras/extra_16_m.webp",
        "extras/extra_17_b.webp",
        "images/day139_ir_room_laying_sexy.webp",
        "extras/extra_19_ad_m_lick.webp",
        "extras/extra_20_l_kitchen.webp",
        "extras/extra_21_s_sa_mi.webp",
        "extras/extra_22_ki_lift.webp",
        "extras/extra_23_ad.webp"
    ]

init -501 screen scenes:
    tag menu


    style_prefix "scenes"

    use game_menu(_("Extra Scenes"), scroll="viewport"):

        vpgrid:
            xfill True
            cols 3
            spacing 15
            draggable True
            side_xalign 0.5

            for scene_number, scene_button in enumerate(scene_list):
                $ scene_number = scene_number+1
                $ scene_label = "extra_scene_"+str(scene_number).zfill(2)
                button:
                    action Replay(scene_label, {}, False)

                    frame:
                        add Frame(scene_button, 0, 0)

                    text "Scene #"+str(scene_number)

init -1 style scenes_frame:
    hover_background gui.hover_color
    xsize 364
    ysize 210

init -1 style scenes_text:
    size 30
    yalign 1.0
    hover_color gui.hover_color

init -1 style scenes_button:
    xsize 375
    ysize 260













init -501 screen confirm(message, yes_action, no_action):


    modal True

    zorder 200

    style_prefix "confirm"

    add "gui/overlay/confirm.png"

    frame:

        has vbox
        label _(message):
            style "confirm_prompt"
            xalign 0.5

        hbox:
            textbutton _("Yes") action yes_action
            textbutton _("No") action no_action


    key "game_menu" action no_action


init -1 style confirm_frame is gui_frame
init -1 style confirm_prompt is gui_prompt
init -1 style confirm_prompt_text is gui_prompt_text
init -1 style confirm_button is gui_medium_button
init -1 style confirm_button_text is gui_medium_button_text

init -1 style confirm_frame:
    background Frame([ "gui/confirm_frame.png", "gui/frame.png"], gui.confirm_frame_borders, tile=gui.frame_tile)
    padding gui.confirm_frame_borders.padding
    xsize 600
    xalign .5
    yalign .5

init -1 style confirm_prompt_text:
    text_align 0.5
    layout "subtitle"

init -1 style confirm_button:
    properties gui.button_properties("confirm_button")

init -1 style confirm_button_text:
    properties gui.button_text_properties("confirm_button")

init -1 style confirm_vbox:
    spacing 45
    xalign .5
    yalign .5

init -1 style confirm_vbox:
    spacing 30
    xalign .5
    yalign .5

init -1 style confirm_hbox:
    xalign 0.5
    spacing 150








init -501 screen skip_indicator():

    zorder 100
    style_prefix "skip"

    frame:

        has hbox:
            spacing 6

        text _("Skipping")

        text "▸" at delayed_blink(0.0, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.2, 1.0) style "skip_triangle"
        text "▸" at delayed_blink(0.4, 1.0) style "skip_triangle"



transform -1 delayed_blink(delay, cycle):
    alpha .5

    pause delay
    block:

        linear .2 alpha 1.0
        pause .2
        linear .2 alpha 0.5
        pause (cycle - .4)
        repeat


init -1 style skip_frame is empty
init -1 style skip_text is gui_text
init -1 style skip_triangle is skip_text

init -1 style skip_frame:
    ypos gui.skip_ypos
    background Frame("gui/skip.png", gui.skip_frame_borders, tile=gui.frame_tile)
    padding gui.skip_frame_borders.padding

init -1 style skip_text:
    size gui.notify_text_size

init -1 style skip_triangle:


    font "DejaVuSans.ttf"









init -501 screen notify(message):

    zorder 100
    style_prefix "notify"

    frame at notify_appear:
        text message

    timer 3.25 action Hide('notify')


transform -1 notify_appear:
    on show:
        alpha 0
        linear .25 alpha 1.0
    on hide:
        linear .5 alpha 0.0


init -1 style notify_frame is empty
init -1 style notify_text is gui_text

init -1 style notify_frame:
    ypos gui.notify_ypos

    background Frame("gui/notify.png", gui.notify_frame_borders, tile=gui.frame_tile)
    padding gui.notify_frame_borders.padding

init -1 style notify_text:
    properties gui.text_properties("notify")









init -501 screen nvl(dialogue, items=None):

    window:
        style "nvl_window"

        has vbox:
            spacing gui.nvl_spacing


        if gui.nvl_height:

            vpgrid:
                cols 1
                yinitial 1.0

                use nvl_dialogue(dialogue)

        else:

            use nvl_dialogue(dialogue)



        for i in items:

            textbutton i.caption:
                action i.action
                style "nvl_button"

    add SideImage() xalign 0.0 yalign 1.0


init -501 screen nvl_dialogue(dialogue):

    for d in dialogue:

        window:
            id d.window_id

            has fixed:
                yfit gui.nvl_height is None

            if d.who is not None:

                text d.who:
                    id d.who_id

            text d.what:
                id d.what_id




define -1 config.nvl_list_length = 6

init -1 style nvl_window is default
init -1 style nvl_entry is default

init -1 style nvl_label is say_label
init -1 style nvl_dialogue is say_dialogue

init -1 style nvl_button is button
init -1 style nvl_button_text is button_text

init -1 style nvl_window:
    xfill True
    yfill True

    background "gui/nvl.png"
    padding gui.nvl_borders.padding

init -1 style nvl_entry:
    xfill True
    ysize gui.nvl_height

init -1 style nvl_label:
    xpos gui.nvl_name_xpos
    xanchor gui.nvl_name_xalign
    ypos gui.nvl_name_ypos
    yanchor 0.0
    xsize gui.nvl_name_width
    min_width gui.nvl_name_width
    text_align gui.nvl_name_xalign

init -1 style nvl_dialogue:
    xpos gui.nvl_text_xpos
    xanchor gui.nvl_text_xalign
    ypos gui.nvl_text_ypos
    xsize gui.nvl_text_width
    min_width gui.nvl_text_width
    text_align gui.nvl_text_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

init -1 style nvl_thought:
    xpos gui.nvl_thought_xpos
    xanchor gui.nvl_thought_xalign
    ypos gui.nvl_thought_ypos
    xsize gui.nvl_thought_width
    min_width gui.nvl_thought_width
    text_align gui.nvl_thought_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

init -1 style nvl_button:
    properties gui.button_properties("nvl_button")
    xpos gui.nvl_button_xpos
    xanchor gui.nvl_button_xalign

init -1 style nvl_button_text:
    properties gui.button_text_properties("nvl_button")





init -1 style pref_vbox:
    variant "medium"
    xsize 675



init -501 screen quick_menu():
    variant "touch"

    zorder 100

    hbox:
        style_prefix "quick"

        xalign 0.5
        yalign 1.0

        textbutton _("Back") action Rollback()
        textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
        textbutton _("Auto") action Preference("auto-forward", "toggle")
        textbutton _("Menu") action ShowMenu()
        textbutton _("Hide") action ui.callsinnewcontext("_hide_windows")

init -1 style window:
    variant "small"
    background "gui/phone/textbox.png"

init -1 style nvl_window:
    variant "small"
    background "gui/phone/nvl.png"

init -1 style main_menu_frame:
    variant "small"
    background "gui/phone/overlay/main_menu.png"

init -1 style game_menu_outer_frame:
    variant "small"
    background "gui/phone/overlay/game_menu.png"

init -1 style game_menu_navigation_frame:
    variant "small"
    xsize 510

init -1 style game_menu_content_frame:
    variant "small"
    top_margin 0

init -1 style pref_vbox:
    variant "small"
    xsize 600

init -1 style bar:
    variant "small"
    ysize gui.bar_size
    left_bar Frame("gui/phone/bar/left.png", gui.bar_borders, tile=gui.bar_tile)
    right_bar Frame("gui/phone/bar/right.png", gui.bar_borders, tile=gui.bar_tile)

init -1 style vbar:
    variant "small"
    xsize gui.bar_size
    top_bar Frame("gui/phone/bar/top.png", gui.vbar_borders, tile=gui.bar_tile)
    bottom_bar Frame("gui/phone/bar/bottom.png", gui.vbar_borders, tile=gui.bar_tile)

init -1 style scrollbar:
    variant "small"
    ysize gui.scrollbar_size
    base_bar Frame("gui/phone/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/phone/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)

init -1 style vscrollbar:
    variant "small"
    xsize gui.scrollbar_size
    base_bar Frame("gui/phone/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/phone/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)

init -1 style slider:
    variant "small"
    ysize gui.slider_size
    base_bar Frame("gui/phone/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
    thumb "gui/phone/slider/horizontal_[prefix_]thumb.png"

init -1 style vslider:
    variant "small"
    xsize gui.slider_size
    base_bar Frame("gui/phone/slider/vertical_[prefix_]bar.png", gui.vslider_borders, tile=gui.slider_tile)
    thumb "gui/phone/slider/vertical_[prefix_]thumb.png"

init -1 style slider_pref_vbox:
    variant "small"
    xsize None

init -1 style slider_pref_slider:
    variant "small"
    xsize 900
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
